### Method

# EBookContacts VCard append_attributes_take

since: 3.60

#### Declaration [src]

    void
    e_vcard_append_attributes_take (
      EVCard* self,
      GList* attrs
    )

#### Description [src]

Appends `EVCardAttribute` structures from `attrs` to `self`. The `self` assumes ownership of both the `attrs` and the respective attributes stored in it.

Available since: 3.60

#### Parameters

`attrs`

  Type: A list of `EVCardAttribute*`

  A `GList` of `EVCardAttribute`.

  The instance takes ownership of the data, and is responsible for freeing it.